package org.wfc.omada.api.monitor.model;

import com.fasterxml.jackson.annotation.JsonProperty;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.util.Objects;

/**
 * WAN port data list
 */
@ApiModel(description = "WAN port data list")
@javax.annotation.Generated(value = "org.openapitools.codegen.languages.SpringCodegen", date = "2024-12-04T11:38:12.484+08:00[Asia/Shanghai]")

public class IspLoadStat   {
  @JsonProperty("totalRate")
  private Long totalRate;

  @JsonProperty("latency")
  private Integer latency;

  @JsonProperty("time")
  private Long time;

  public IspLoadStat totalRate(Long totalRate) {
    this.totalRate = totalRate;
    return this;
  }

  /**
   * WAN port rate (rxR+txR)
   * @return totalRate
  */
  @ApiModelProperty(value = "WAN port rate (rxR+txR)")


  public Long getTotalRate() {
    return totalRate;
  }

  public void setTotalRate(Long totalRate) {
    this.totalRate = totalRate;
  }

  public IspLoadStat latency(Integer latency) {
    this.latency = latency;
    return this;
  }

  /**
   * WAN port delay should be within the range of 0 or 1000. (in ms)
   * @return latency
  */
  @ApiModelProperty(value = "WAN port delay should be within the range of 0 or 1000. (in ms)")


  public Integer getLatency() {
    return latency;
  }

  public void setLatency(Integer latency) {
    this.latency = latency;
  }

  public IspLoadStat time(Long time) {
    this.time = time;
    return this;
  }

  /**
   * Timestamp of statistical data (in seconds)
   * @return time
  */
  @ApiModelProperty(value = "Timestamp of statistical data (in seconds)")


  public Long getTime() {
    return time;
  }

  public void setTime(Long time) {
    this.time = time;
  }


  @Override
  public boolean equals(Object o) {
    if (this == o) {
      return true;
    }
    if (o == null || getClass() != o.getClass()) {
      return false;
    }
    IspLoadStat ispLoadStat = (IspLoadStat) o;
    return Objects.equals(this.totalRate, ispLoadStat.totalRate) &&
        Objects.equals(this.latency, ispLoadStat.latency) &&
        Objects.equals(this.time, ispLoadStat.time);
  }

  @Override
  public int hashCode() {
    return Objects.hash(totalRate, latency, time);
  }

  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class IspLoadStat {\n");
    
    sb.append("    totalRate: ").append(toIndentedString(totalRate)).append("\n");
    sb.append("    latency: ").append(toIndentedString(latency)).append("\n");
    sb.append("    time: ").append(toIndentedString(time)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private String toIndentedString(Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }
}

